summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Zbigniew Baniewski <zb@ispid.com.pl>2011-01-30 09:11:17 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-01-30 09:15:32 -0600
commite99dbd7cd14ebd9ebaa17ae976e1539af5c37fd8 (patch)
treeae35e14a7ffee68882defb084fe7d98ee550ab80 /misc
parent83f48dcca4eb938aee54073668775f1a45ddc7c1 (diff)
downloadslackbuilds-e99dbd7cd14ebd9ebaa17ae976e1539af5c37fd8.tar.gz
slackbuilds-e99dbd7cd14ebd9ebaa17ae976e1539af5c37fd8.tar.xz
misc/ccze: Added (log colorizer)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/ccze/README3
-rw-r--r--misc/ccze/ccze.SlackBuild86
-rw-r--r--misc/ccze/ccze.info12
-rw-r--r--misc/ccze/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/misc/ccze/README b/misc/ccze/README
new file mode 100644
index 0000000000..aecca5ded1
--- /dev/null
+++ b/misc/ccze/README
@@ -0,0 +1,3 @@
+CCZE is a robust and modular log colorizer with plugins for apm, exim,
+fetchmail, httpd, postfix, procmail, squid, syslog, ulogd, vsftpd, xferlog,
+and more.
diff --git a/misc/ccze/ccze.SlackBuild b/misc/ccze/ccze.SlackBuild
new file mode 100644
index 0000000000..061d9c5600
--- /dev/null
+++ b/misc/ccze/ccze.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for ccze
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=ccze
+VERSION=0.2.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/ccze_0.2.1-2.diff.gz | patch -p1 || exit
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ccze.plugins AUTHORS COPYING NEWS README ChangeLog FAQ THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/ccze/ccze.info b/misc/ccze/ccze.info
new file mode 100644
index 0000000000..ca490628de
--- /dev/null
+++ b/misc/ccze/ccze.info
@@ -0,0 +1,12 @@
+PRGNAM="ccze"
+VERSION="0.2.1"
+HOMEPAGE="http://freshmeat.net/projects/ccze/"
+DOWNLOAD="ftp://ftp.debian.org/debian/pool/main/c/ccze/ccze_0.2.1.orig.tar.gz \
+ ftp://ftp.de.debian.org/debian/pool/main/c/ccze/ccze_0.2.1-2.diff.gz"
+MD5SUM="221966bce7c5f011eca38157241a0432 \
+ 7f16b35068517f63b4bcfa18505881b4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="rworkman"
diff --git a/misc/ccze/slack-desc b/misc/ccze/slack-desc
new file mode 100644
index 0000000000..389627a59b
--- /dev/null
+++ b/misc/ccze/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+ccze: ccze (log colorizer)
+ccze:
+ccze: ccze is a fast log colorizer written in C.
+ccze:
+ccze: Homepage: http://freshmeat.net/projects/ccze/
+ccze:
+ccze:
+ccze:
+ccze:
+ccze:
+ccze: